[alsa-devel] hdspmixer/ubuntu

Tim Blechmann tim at klingt.org
Tue May 10 11:39:55 CEST 2011

hi all,

the current version of ubuntu ships alsa-tools without hdspmixer [1], probably 
because of the problems of older versions with newer kernels (iirc a hardcoded 
preprocessor definition made the old version unusable). while it is still 
possible to compile a working hdspmixer from sources, this is quite inconvenient 
(especially for newbies).

- is there a plan to release a, including the hdspmixer fixes?

- gitcompile currently does not work on ubuntu, but requires this patch [2] in 
order to run the autotools. according to the name, it is already required for 
older versions 

- compiling ld10k1 fails with:
make[1]: Entering directory `/home/tim/workspace/alsa-tools/ld10k1'
Making all in setup
make[2]: Entering directory `/home/tim/workspace/alsa-tools/ld10k1/setup'
Making all in effects
make[3]: Entering directory `/home/tim/workspace/alsa-
make[3]: *** No rule to make target `simple.emu10k1', needed by `all-am'.  Stop.
  is this a problem on my side?

thanks, tim

[1] https://bugs.launchpad.net/ubuntu/+source/alsa-tools/+bug/723276
[2] http://svnweb.mageia.org/packages/cauldron/alsa-tools/current/SOURCES/alsa-

tim at klingt.org

A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

More information about the Alsa-devel mailing list